osl::container::BitXmask Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Private Attributes | List of all members
osl::container::BitXmask Class Reference

X座標のbitset. More...

`#include <bitXmask.h>`

## Public Member Functions
| BitXmask ()
void | clearAll ()
void | set (int x)
void | clear (int x)
void | set (Square position)
void | clear (Square position)
bool | isSet (int x) const
int | intValue () const

## Private Attributes
int | mask

## Detailed Description

X座標のbitset.

Definition at line 17 of file bitXmask.h.

## Constructor & Destructor Documentation

osl::container::BitXmask::BitXmask | ( | ) |  |
| inline

Definition at line 21 of file bitXmask.h.

## Member Function Documentation

void osl::container::BitXmask::clear | ( | int | x) |  |
| inline

Definition at line 24 of file bitXmask.h.

References mask.

void osl::container::BitXmask::clear | ( | Square | position) |  |
| inline

Definition at line 27 of file bitXmask.h.

References clear(), and osl::Square::x().

Referenced by clear().

void osl::container::BitXmask::clearAll | ( | ) |  |
| inline

Definition at line 22 of file bitXmask.h.

References mask.

int osl::container::BitXmask::intValue | ( | ) |  | const
| inline

Definition at line 31 of file bitXmask.h.

References mask.

Referenced by osl::container::operator<<(), and osl::container::operator==().

bool osl::container::BitXmask::isSet | ( | int | x) |  | const
| inline

Definition at line 29 of file bitXmask.h.

References mask.

void osl::container::BitXmask::set | ( | int | x) |  |
| inline

Definition at line 23 of file bitXmask.h.

References mask.

void osl::container::BitXmask::set | ( | Square | position) |  |
| inline

Definition at line 26 of file bitXmask.h.

References set(), and osl::Square::x().

Referenced by set().

## Member Data Documentation

int osl::container::BitXmask::mask
| private

Definition at line 19 of file bitXmask.h.

Referenced by clear(), clearAll(), intValue(), isSet(), and set().

The documentation for this class was generated from the following file:

- bitXmask.h